import Link from 'next/link';
import Image from 'next/image'

function Section(props) {
		return (
					<>
							<Link href={props.path}
										className={`rounded-lg mx-0 sm:mx-[0.5em] my-[10px]`}>
								<Image 
									src={props.img}
									width={455}
									height={171}
									className="rounded-lg"
									placeholder="blur"
									loading="lazy"
									priority={false}
								/>
								{/*
								<div style={{background: props.bg ?? '#0003'}} className="box rounded">
									<div className="box-icon grid"><svg xmlns="http://www.w3.org/2000/svg" width="42" height="42" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="1" stroke-linecap="round" stroke-linejoin="round"><path d="M18 3a3 3 0 0 0-3 3v12a3 3 0 0 0 3 3 3 3 0 0 0 3-3 3 3 0 0 0-3-3H6a3 3 0 0 0-3 3 3 3 0 0 0 3 3 3 3 0 0 0 3-3V6a3 3 0 0 0-3-3 3 3 0 0 0-3 3 3 3 0 0 0 3 3h12a3 3 0 0 0 3-3 3 3 0 0 0-3-3z"></path></svg></div>
									<div className={"box-label text-black"}>{props.name ?? "Section"}</div>
									<div className={"box-title font-lg font-extrabold block text-black"}>{props.tag ?? "Section tagline"}</div>
								</div>
								*/}
								
							</Link>
					</>
			);
}

export default Section;
